Summary:	XML 1.0 parser - Ming32 cross version
Summary(pl.UTF-8):	Analizator składni XML-a 1.0 - wersja skrośna dla Ming32
%define		realname		expat
Name:		crossmingw32-%{realname}
Version:	2.7.1
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	https://downloads.sourceforge.net/expat/%{realname}-%{version}.tar.xz
# Source0-md5:	9f0c266ff4b9720beae0c6bd53ae4469
URL:		http://www.libexpat.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc >= 1:3.2
BuildRequires:	libtool >= 2:2.4
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_docdir			%{_sysprefix}/share/doc
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
Expat is an XML parser written in C. It aims to be fully conforming.
It is currently not a validating XML parser.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Expat to napisany w języku C analizator składni XML-a. Dąży do pełnej
zgodności ze specyfikacją. Aktualnie nie jest analizatorem, który
potwiedzał by zgodność ze specyfikacją.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static expat library (cross mingw32 version)
Summary(pl.UTF-8):	Statyczna biblioteka expat (wersja skrośna mingw32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static expat library (cross mingw32 version).

%description static -l pl.UTF-8
Statyczna biblioteka expat (wersja skrośna mingw32).

%package dll
Summary:	DLL expat library for Windows
Summary(pl.UTF-8):	Biblioteka DLL expat dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL expat library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL expat dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# remove SIZEOF_VOID_P define, see buildconf.sh
%{__sed} -i -e '/^\/\* The size of `void \*/,/^$/ d' expat_config.h.in
%configure \
	--build=i686-pc-linux-gnu \
	--host=%{target} \
	--target=%{target} \
	--without-docbook \
	--without-xmlwf

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/cmake

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING Changes README.md
%{_libdir}/libexpat.dll.a
%{_libdir}/libexpat.la
%{_includedir}/expat*.h
%{_pkgconfigdir}/expat.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libexpat.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libexpat-1.dll
%changelog
* Fri Mar 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-expat.git;a=log;h=master

* Fri Mar 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 8ffc940
- updated to 2.7.1

* Sat Mar 22 2025 Jakub Bogusz <qboosh@pld-linux.org> d41e23a
- fixed docdir for rpm 4.20; release 2

* Sat Mar 15 2025 Jakub Bogusz <qboosh@pld-linux.org> 3c7cd3c
- updated to 2.7.0 (fixes CVE-2024-8176)

* Thu Nov 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 0c79d9b
- updated to 2.6.4 (fixes CVE-2024-50602)

* Wed Sep 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 0c7be5b
- updated to 2.6.3

* Sun Mar 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 2a22138
- updated to 2.6.2 (fixes CVE-2023-52425 CVE-2023-52426 CVE-2024-28757)

* Wed Jan 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 53a9c2f
- updated to 2.5.0 (fixes CVE-2022-40674 CVE-2022-43680)

* Thu Mar 31 2022 Jakub Bogusz <qboosh@pld-linux.org> c184a81
- updated to 2.4.8

* Sat Mar 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 9524d4e
- pass --build to properly detect cross-build on all builders(?); release 2

* Fri Mar 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 23bd0f5
- updated to 2.4.7

* Mon Feb 07 2022 Jakub Bogusz <qboosh@pld-linux.org> cc24eec
- updated to 2.4.4 (fixes CVE-2021-45960 CVE-2022-23852 CVE-2022-23990)

* Sat May 29 2021 Jakub Bogusz <qboosh@pld-linux.org> df19515
- updated to 2.4.1

* Wed Mar 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 1ff645d
- release 2 (rebuild with fixed dirs)

* Fri Mar 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 1e6beea
- disable debug packages

* Fri Mar 26 2021 Jakub Bogusz <qboosh@pld-linux.org> a6a22d3
- updated to 2.3.0

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> fc304ff
- updated to 2.2.10 (few UB fixes)

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 1bd3207
- updated to 2.2.9

* Sun Sep 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 62803e0
- updated to 2.2.8 (fixes CVE-2019-15903)

* Sun Jul 28 2019 Jakub Bogusz <qboosh@pld-linux.org> b68efd3
- updated to 2.2.7 (possible DoS fix)
- removed obsolete ac_fixes patch

* Sat Sep 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 6fa157b
- updated to 2.2.6

